package com.yizhi.application.handle.quartz.job;

import com.alibaba.fastjson.JSONArray;
import com.yizhi.application.handle.quartz.BaseJob;
import com.yizhi.training.application.feign.TrainingProjectClient;
import com.yizhi.wechat.application.feign.WeiXinClient;
import org.quartz.InterruptableJob;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.quartz.UnableToInterruptJobException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.StringUtils;

import java.util.*;

/**
 *
 * @author lilingye
 * @create 2018-6-5 13:32:45
 * @since 1.0.0
 */
public class WechatJob implements BaseJob, InterruptableJob {

    private final Logger LOG = LoggerFactory.getLogger(WechatJob.class);

    @Autowired
    WeiXinClient weiXinClient;

    @Autowired
    TrainingProjectClient trainingProjectClient;
    
    @Override
    public void execute(JobExecutionContext context) throws JobExecutionException {

        LOG.info("执行微信access_token和jsapiticket的新增/更新");
        weiXinClient.saveAccessTokenToRedis();
        LOG.info("执行培训项目已学习人数的更新");
        trainingProjectClient.getJoinNumber();
    }



    @Override
    public void interrupt() throws UnableToInterruptJobException {

    }
}
